#include <iostream>
using namespace std;
int maxa(int x[],int j,int n)
{
    int maxi=x[j];
    int maxe=j;
    for(int i=j+1;i<n;i++)
    {
        if(x[i]>maxi)
         {
            maxi=x[i];
            maxe=i;
         }

    }
    return maxe;
}
int main()
{
    int n,a,b=-1;
    cin>>n;
    int x[n+1];
    for(int i=0;i<n;i++)
        cin>>x[i];
    for(int i=1;i<n;i++)
    {
        if(i==n-1)
        {
            b=1;
        }
        else
        {
        if(x[i]>x[i-1]&&x[i]!=9)
            a=maxa(x,i,n);
        if(x[i]==9)
            a=i;
        }


    }
    if(b==-1)
    {for(int i=0;i<n;i++)
        if(x[i]<x[a])
        {
            swap(x[i],x[a]);
            break;
        }
    }
    else
        swap(x[n-1],x[n-2]);
    for(int i=0;i<n;i++)
        cout<<x[i]<<" ";


}